
QGIS Application - Bug report #8400

crash opening layer properties of a freshly inserted wms layer

2013-08-02 03:58 AM - Jonathan Moules

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17172

Description

A repeatable QGIS crash. Windows; weekly a13cdf8

- Add WMS layer.

- Connect

- Select layer

- Add

- Close dialog

- Double click on layer in layers list. Qgis crashes.

The error is an "exception" -> "bad allocation"

I can't find any QGIS log files in my install to give more information.

History

#1 - 2013-08-02 04:30 AM - Salvatore Larosa

- Status changed from Open to Feedback

No crashes here by following the above steps. (works fine even on WindowsXP)

#2 - 2013-08-02 04:41 AM - Jonathan Moules

- File qgis-20130802-115354-264-4500-a13cdf8.7z added

After further experimentation it seems to only fail with one particular layer (it just happened to be the only layer I actually tested).

I've attached the dump file it creates which I've now found.

#3 - 2013-08-02 04:44 AM - Matthias Kuhn

Would you be able to share the layer you experience problems with?

#4 - 2013-08-02 08:42 AM - Giovanni Manghi

also not confirmed here on both linux and Windows, please share the WMS url.
#5 - 2013-08-02 08:42 AM - Giovanni Manghi

try also disabling all the plugins and try again.

#6 - 2013-08-02 08:49 AM - Jürgen Fischer

- Subject changed from Repeatable QGIS crash to crash opening layer properties of a freshly inserted wms layer

#7 - 2013-08-05 02:02 AM - Jonathan Moules

The WMS is on the internal corporate Network so I can't share it.

Can you not see what the problem is from the dump file?

Any plugins enabled are the default ones. Disabling them makes no difference.

#8 - 2013-08-15 04:00 AM - Jonathan Moules

Happens with d61cb25 too. It did work once and then it didn't, so it seems to be intermittent.

#9 - 2014-01-26 10:58 AM - Giovanni Manghi

- Priority changed from Normal to High

- Target version set to Future Release - High Priority

Still true?

#10 - 2014-02-05 03:39 AM - Jonathan Moules

- Status changed from Feedback to Closed

Seems to be fixed now. (using 5192e8d)

I'll re-open if it happens again.

Files

qgis-20130802-115354-264-4500-a13cdf8.7z 4.11 MB 2013-08-02 Jonathan Moules
